Bug 492797 - Review Request: ofl-goudy-bookletter-1911-fonts - Clean serif font based on Kennerly Old Style
Review Request: ofl-goudy-bookletter-1911-fonts - Clean serif font based on K...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-29 14:53 EDT by Tom "spot" Callaway
Modified: 2009-04-01 17:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-01 17:17:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nicolas.mailhot: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2009-03-29 14:53:50 EDT
Spec URL: http://www.auroralinux.org/people/spot/review/new/ofl-goudy-bookletter-1911-fonts.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/ofl-goudy-bookletter-1911-fonts-20080206-1.fc11.src.rpm
Description: 
Based on the roman of Frederic Goudy's Kennerley Old Style (designed and cut in 
1911 for a limited edition of "The Door in the Wall and Other Stories" by H G 
Wells, published by Mitchell Kennerley). The letters, though not condensed, may 
seem to fit together like pieces of a jigsaw puzzle, giving text an unusually 
solid appearance.
Comment 1 Nicolas Mailhot 2009-03-30 15:15:41 EDT
Initial review:

1. please use "oflb" not "ofl" as prefix, since OFL is already commonly used to identify a license the Open Font Library folks use OFLB to designate themselves

2. you have the wrong font name in your fontconfig file

3. you have some stray %defines, we're supposed to use %globals nowadays

4. %common_desc is not really useful for anything in a mono-font spec file, though I suppose it's harmless

5. your metadata declaration order is unusual, though it'll probably only annoy people diffing spec files

Nothing too difficult to fix for an experienced packager, and only 1 and 2 dangerous. Thank you for continuing to add fonts to Fedora.
Comment 3 Nicolas Mailhot 2009-04-01 16:29:10 EDT
This one is a go

⬬⬬⬬ APPROVED ⬬⬬⬬

You can now continue on from
http://fedoraproject.org/wiki/Font_package_lifecycle#3.a
Comment 4 Tom "spot" Callaway 2009-04-01 16:50:39 EDT
New Package CVS Request
=======================
Package Name: oflb-goudy-bookletter-1911-fonts
Short Description: Clean serif font based on Kennerly Old Style
Owners: spot
Branches: F-9 F-10 devel
InitialCC: fonts-sig

... and it's done.
Comment 5 Tom "spot" Callaway 2009-04-01 17:17:56 EDT
I branched it for F-9 and F-10, but it would not build for either target because the versions of fontforge on those branches does not have support for the python extensions (rawhide does). It is built in rawhide.

Note You need to log in before you can comment on or make changes to this bug.